安装HQ的时候出错

classic 经典版 list 列表 threaded 结构树
5 条帖子 选项
回复 | 结构树
以树状图样式打开这个帖子
|

安装HQ的时候出错

netcoler

安装的时候出错了,提示如下错误,不知道如何解决

C:\>D:\hypericHQ\setup.bat
Please ignore references to missing tools.jar
Unable to locate tools.jar. Expected to find it in C:\Program Files\Java\jre7\li
b\tools.jar
Buildfile: D:\hypericHQ\installer\bin\..\data\setup.xml
java.lang.NullPointerException
        at org.hyperic.tools.ant.installer.InstallerLogger.initMessageHandlers(I
nstallerLogger.java:143)
        at org.hyperic.tools.ant.installer.InstallerLogger.buildFinished(Install
erLogger.java:258)
        at org.apache.tools.ant.Project.fireBuildFinished(Project.java:2037)
        at org.apache.tools.ant.Main.runBuild(Main.java:778)
        at org.apache.tools.ant.Main.startAnt(Main.java:217)
        at org.apache.tools.ant.launch.Launcher.run(Launcher.java:257)
        at org.apache.tools.ant.launch.Launcher.main(Launcher.java:104)
Deleting temporary JRE
系统找不到指定的文件。
回复 | 结构树
以树状图样式打开这个帖子
|

Re: 安装HQ的时候出错

Martin King
管理员
哪个版本? 操作系统是 32位 64位? 下载的文件全名是?
回复 | 结构树
以树状图样式打开这个帖子
|

Re: 安装HQ的时候出错

netcoler
后来不知道怎么的又可以了,我下载的是5.1的版本的
回复 | 结构树
以树状图样式打开这个帖子
|

Re: 安装HQ的时候出错

netcoler
作为对Martin King帖子的答复
安装最后还是出错,没有psql,不支持mysql,就改成安装4.6.6版本也出错,提示如下的错误,不知如何解决
 
Setting up server database...
Loading taskdefs...
Taskdefs loaded
Loading taskdefs...
Taskdefs loaded
--------------------------------------------------------------------------------
An ERROR occurred, the installation cannot continue.
FATAL EXCEPTION at D:\hypericHQ4.6\installer\data\setup.xml:523: : The following
 error occurred while executing this line:
D:\hypericHQ4.6\installer\data\setup.xml:532: The following error occurred while
 executing this line:
D:\hypericHQ4.6\installer\data\setup.xml:777: The following error occurred while
 executing this line:
D:\hypericHQ4.6\installer\data\setup-db-MySQL.xml:16: The following error occurr
ed while executing this line:
D:\hypericHQ4.6\installer\data\setup-db-hibernate.xml:94: org.hibernate.tool.hbm
2x.ExporterException: Errors while performing Hbm2DDLExporter
回复 | 结构树
以树状图样式打开这个帖子
|

Re: 安装HQ的时候出错

Martin King
管理员
HQ5.1目前只支持 postgresql, 已经不支持 mysql.
windows安装时,注意将防火墙等安全设置关闭。

32 or 64 bit

建议安装 linux 64 版本。 便于测试。